<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.9

Copyright (C) 2006-2009  Sylvain FATOME
This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr

Web : http://smitst.homelinux.com
****************************************************************************************/


// Vérification des tentatives de hack
$pos=strpos($_SERVER['PHP_SELF'],"inc.php");
if ($pos===FALSE)
	$ok_inc=TRUE;
else
	$ok_inc=FALSE;
if ($ok_inc==FALSE) header("Location: ../index.php");

include_once("../inc/fic_do.inc.php");
include_once("../inc/fic_hum.inc.php");
include_once("../inc/func.inc.php");
include_once("../inc/func_date.inc.php");
include_once("../inc/func_geo.inc.php");
include_once("../inc/func_geol.inc.php");
include_once("../inc/func_txt.inc.php");
include_once("geoip.inc.php");
Archivelog(@$_SESSION["code_log"]);

$td = strip_tags(trim(@$_GET['td']));
$coderech = strip_tags(trim(@$_GET['code']));
$do_dep = strip_tags(trim(@$_GET['dep']));

if (@$_SESSION["niv_log"] == 6)
{
	$coderech = @$_SESSION["code_log"];
	$td = "edit";
}

$nbordres = 0;
$pbm_do=FALSE;

$msg1_err_type=$ajx_nodeppays;
$msg2_err_type=$ajx_novildep;
$msg3_err_type=$ajx_nodeppays;
if ($coderech <> "")
{
	// Vérification qu'il existe bien des interventions et nombre de celles-ci
	$nbinterventions = nb_int_do($coderech);

	// Récupération des informations donneur d'ordres
	$row = lit_enr_do($coderech);
	if (is_array($row))
	{
		extract ($row);

		// Vérification qu'il existe bien des contacts et nombre de ceux-ci
		$nbcontacts = nb_cdo_in_do($coderech);

		if (($td<>"del") AND ($do_ouvert==FALSE))
			$td="view";

		if (@$_SESSION["niv_log"] >= 5)
		{
			if (@$_SESSION["niv_log"] == 6)
			{
				if ($coderech<>$_SESSION["code_do"])
					$pbm_do=TRUE;
			}
		}
		else
			$pbm_do=TRUE;
	}
	else
		$pbm_do=TRUE;
}
else
{
	if ($td == "add")
	{
		$do_ouvert = TRUE;
		$do_codepays = pays_connect_code($_SERVER['REMOTE_ADDR']);
	}
	else
		$pbm_do=TRUE;
}

switch ($td)
{
	case "add" :
		$titre = "CREATION DONNEUR D'ORDRES";
		break;
	case "edit" :
		$titre = "MISE A JOUR DONNEUR D'ORDRES";
		break;
	case "del" :
		$titre = "SUPPRESSION DONNEUR D'ORDRES";
		break;
	case "view" :
		$titre = "VISUALISATION DONNEUR D'ORDRES";
		break;
	default :
		$pbm_do=TRUE;
		break;
}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - <?PHP echo $title_esp_prive; ?> : Fiche Donneur d'Ordres</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<script language="JavaScript" src="../jscript/coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour fenêtres -->
<script language="JavaScript" src="../jscript/fen.js"></script>

<!-- Scripts Javascript pour vérifications des champs -->
<script language="JavaScript" src="../jscript/verif_field.js"></script>

<!-- Scripts Javascript pour contrôle de formulaire -->
<script	type="text/javascript" src="../jscript/vform/vform.js"></script>

<script language="javascript">
<!--
var tab1_champ=new Array(
	"nom:code ; format:alphanum ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_code); ?> ; lmn:1 ; lmx:9; stok:frmok ; stbad:frmbad",
	"nom:nom ; format:txt ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_nom); ?>; lmn:1 ; lmx:50; stok:frmok ; stbad:frmbad",
	"nom:rcs ; format:siret ; req:N ; txt:<?PHP echo html_entity_decode($txt_chp_siret); ?> ; lmx:50; stok:frmok ; stbad:frmbad",
	"nom:ape ; format:naf ; req:N ; txt:<?PHP echo html_entity_decode($txt_chp_ape); ?> ; lmx:10; stok:frmok ; stbad:frmbad",
	"nom:tvai ; format:tva ; req:N ; txt:<?PHP echo html_entity_decode($txt_chp_tvai); ?> ; lmx:50; stok:frmok ; stbad:frmbad",
	"nom:tcom ; format:txt ; req:N ; txt:CodeTribunal de commerce; lmn:1 ; lmx:70; stok:frmok ; stbad:frmbad",
	"nom:adr1 ; format:txt ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_adr1); ?> ; lmn:1 ; lmx:50; stok:frmok ; stbad:frmbad",
	"nom:adr2 ; format:txt ; req:N ; txt:<?PHP echo html_entity_decode($txt_chp_adr2); ?> ; lmx:50; stok:frmok ; stbad:frmbad",
	"nom:ville ; format:liste ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_ville); ?> ; vmn:1; stok:frmok ; stbad:frmbad",
	"nom:dep ; format:liste ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_dep); ?> ; vmn:1; stok:frmok ; stbad:frmbad",
	"nom:pays ; format:liste ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_pays); ?> ; vmn:1; stok:frmok ; stbad:frmbad",
	"nom:telf ; format:tel ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_telf); ?>; stok:frmok ; stbad:frmbad",
	"nom:txttelf ; format:txt ; req:N ; txt:Commentaire téléphone fixe; lmx:100 ; stok:frmok ; stbad:frmbad",
	"nom:fax ; format:tel ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_fax); ?>; stok:frmok ; stbad:frmbad",
	"nom:txtfax ; format:txt ; req:N ; txt:Commentaire télécopieur; lmx:100 ; stok:frmok ; stbad:frmbad",
	"nom:web ; format:url_npref ; req:N ; txt:Adresse site web; lmx:200; stok:frmok ; stbad:frmbad",
	"nom:heures ; format:txt ; req:Y ; txt:Horaires; lmx:200; stok:frmok ; stbad:frmbad",
	"nom:txtent ; format:txt ; req:N ; txt:Texte d'entête; stok:frmok ; stbad:frmbad",
	"nom:rcivil ; format:liste ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_civil); ?> responsable d'agence; vmn:1; stok:frmok ; stbad:frmbad",
	"nom:rprenom ; format:txt ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_pnom); ?> responsable d'agence; lmn:1; lmx:50; stok:frmok ; stbad:frmbad",
	"nom:rnom ; format:txt ; req:Y ; txt:Nom responsable d'agence; lmn:1; lmx:50; stok:frmok ; stbad:frmbad",
	"nom:rtelf ; format:tel ; req:Y ; txt:N° tel fixe contact principal; stok:frmok ; stbad:frmbad",
	"nom:rtelp ; format:telp ; req:N ; txt:N° tel portable contact principal; stok:frmok ; stbad:frmbad",
	"nom:email ; format:mail ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_email)." ".html_entity_decode($txt_chp_emailgeneral); ?> ; lmx:50; stok:frmok ; stbad:frmbad",
	"nom:emaild ; format:mail ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_email)." ".html_entity_decode($txt_chp_emaildir); ?> ; lmx:50; stok:frmok ; stbad:frmbad",
	"nom:emailc ; format:mail ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_email)." ".html_entity_decode($txt_chp_emailcpta); ?> ; lmx:50; stok:frmok ; stbad:frmbad",
<?PHP
if ((@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9))
{
?>
	"nom:nota ; format:txt ; req:N ; txt:<?PHP echo html_entity_decode($txt_chp_notes); ?>; stok:frmok ; stbad:frmbad",
<?PHP
}
?>
	"nom:emailt ; format:mail ; req:Y ; txt:<?PHP echo html_entity_decode($txt_chp_email)." ".html_entity_decode($txt_chp_emailtech); ?> ; lmx:50; stok:frmok ; stbad:frmbad");
//-->
</script>

<!-- Scripts Javascript pour alertes -->
<script language="JavaScript" src="../jscript/alertes.js"></script>

<!-- Scripts Javascript divers -->
<script language="JavaScript" src="../jscript/divers.js"></script>

<!-- Scripts Ajax -->
<script type="text/javascript" src="../ajax/util.js"></script>
<script type="text/javascript" src="../ajax/SelectUpdater.js"></script>

<?PHP if (($pbm_do==FALSE) AND ($do_ouvert==1)) { ?>
<script type="text/javascript">
<!--        
function updateVille()
{
	villeUpdater = new SelectUpdater("ville", "<?PHP echo $rep_appli.'/ajax/'; ?>recupville.php?dep=", "attn2", "msg2", "<?PHP echo $msg2_err_type; ?>");
	anciendep = "";
	document.getElementById("dep").onchange = function() {
		var listedep = document.getElementById("dep");
		var dep = listedep.options[listedep.selectedIndex].value;
		var listepays = document.getElementById("pays");
		var codepays = listepays.options[listepays.selectedIndex].value;
		if (dep.length > 0)
		{
			if (dep != anciendep)
			{
				// Faire l'appel Ajax
				var prmget=dep+"_"+codepays;
				villeUpdater.run(prmget);
				anciendep = dep;
			}
		}
		else
		{
			// Remettre la liste a vide et annuler l'appel eventuel
			villeUpdater.reset();
			anciendep = "";
		}
	}
}

function updateDep()
{
	depUpdater = new SelectUpdater("dep", "<?PHP echo $rep_appli.'/ajax/'; ?>recupdep.php?pays=", "attn1", "msg1", "<?PHP echo $msg1_err_type; ?>");
	anciencodepays = "";
	anciendep = "";
	document.getElementById("pays").onchange = function() {
		var listepays = document.getElementById("pays");
		var codepays = listepays.options[listepays.selectedIndex].value;
		if (codepays.length > 0)
		{
			if (codepays != anciencodepays)
			{
				// Faire l'appel Ajax
				depUpdater.run(codepays);
				var txthtml = "<option><?PHP echo $sel_lst_makechx; ?></option>\n";
				document.getElementById("ville").innerHTML=txthtml;
				document.getElementById("attn2").innerHTML = "";
				document.getElementById("msg2").innerHTML = "";
				anciencodepays = codepays;
			}
		}
		else
		{
			// Remettre la liste a vide et annuler l'appel eventuel
			depUpdater.reset();
			var txthtml = "<option><?PHP echo $sel_lst_makechx; ?></option>\n";
			document.getElementById("ville").innerHTML=txthtml;
			document.getElementById("attn2").innerHTML = "";
			document.getElementById("msg2").innerHTML = "";
			anciencodepays = "";
		}
	}
}
//-->
</script>
<?PHP } ?>

</head>


<?PHP if ($td == "del"){ ?>
<body onLoad="warndeltec();metReadonly();">
<?PHP } 
if ($td == "view"){ ?>
<body onLoad="metReadonly();">
<?PHP } 

if (($td == "add") OR ($td == "edit")) {
?>
<body onLoad="metFocus();updateDep();updateVille();">
<?PHP 
}
include_once("../inc/entete.inc.php"); 
?>

<p align="center"><span class="titrepage"><?PHP echo $titre ?></span></p>
<!-- Affiché uniquement s'il y a au moins une civilité -->
<?PHP
if ($pbm_do==FALSE)
{
if (nb_civ() <> 0)
{
?>
<table width="100%"  border="0">
  <tr>
    <td width="33%">
	<?PHP 	if ((@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9)) { ?>
	<strong><em><a href="do_lst.php"><?PHP echo $txt_lnk_ret_liste; ?></a></em></strong>
	<?PHP } else echo "&nbsp;"; ?>
	</td>
    <td width="33%"align="center" class="annot_petit_it">(<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>"> : <?PHP echo $txt_div_saisoblg; ?>)</td>
    <td width="33%" align="right">
      <div align="right">
        <?PHP
		if ($td == "edit")
		{
		$urlimp = "do_maji.php?cd=".$coderech;
		?>
        <a href="javascript:;" onclick="lanceimp('<?PHP echo $urlimp; ?>');")><img src="../img/print.png" title="<?PHP echo $alt_impfic; ?>" border="0" align="absmiddle"></a> <a href="javascript:;" onclick="lanceimp('<?PHP echo $urlimp; ?>');")> <?PHP echo $txt_lnk_imp_fic; ?></a></div>
      <?PHP } ?>
	  </div>
	</td>
  </tr>
  <tr>
    <td width="33%">
    <?PHP if ($td == "edit")
	{
		$url_cdo = "cdo_maj.php?td=add&cd=".$do_code."&tx=do";
	?>
		<a href="javascript:;" onclick="fensaisie('<?PHP echo $url_cdo; ?>',950,560,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');")><img src="../img/ctacts.png" border="0" align="absmiddle"></a>
		<a href="javascript:;" onclick="fensaisie('<?PHP echo $url_cdo; ?>',950,560,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');")> Ajouter un contact </a>
	<?PHP
		$url_cdo = "cdo_maj.php?td=lst&cd=".$do_code."&tx=do";

		if ($nbcontacts == 0)
			echo '<span id="ctact" style="display:none">';
		else
			echo '<span id="ctact" style="display:inline">';
	?>
		/
		<a href="javascript:;" onclick="fensaisie('<?PHP echo $url_cdo; ?>',950,560,'status=no,scrollbars=yes,menubar=no,statusbar=no,location=no,locationbar=no');")> Edition contacts</a>
	<?PHP
		echo '</span>';
	}
	?>
	</td>
    <td width="33%">&nbsp;</td>
	<td width="33%" align="right">
		<?PHP
		if (($td == "edit") AND ($nbinterventions <> 0) AND (@$_SESSION["niv_log"] <> 6))
		{
			$url_inter = "int_lst.php?ord=DES&tri=Code&search=".$do_code."&rech=Rechercher";
		?>
			<a href="javascript:;" onclick="self.location.href=('<?PHP echo $url_inter; ?>');")> Voir ses interventions (<?PHP echo sprintf ("%'03s",$nbinterventions);?>)</a>
		<?PHP
		}
		else 
			echo "&nbsp;";
		?>
	</td>
  </tr>
</table>

<!-- Formulaire de saisie de la fiche -->
<form name="do_maj" id="do_maj" method="post" action="do_enr.php" onSubmit="javascript:; return (VForm(this,tab1_champ,document.do_maj.pays.value,'<?PHP echo $_SESSION["lng"]; ?>'));">
<input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
<input name="td" type="hidden" id="td" value="<?PHP echo $td ?>">
<?PHP if ($td == "add") { ?>
<input name="actif" type="hidden" id="actif" value="Oui">
<?PHP } ?>

<!-- activité (avec dates) du donneur d'ordre -->
<?PHP 
if ((@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9))
{
	if (($td == "edit") OR ($td == "del")) 
	{
?>
	<table width="100%"  border="0">
	<tr>
		<td width="160" class="rubfrm" id="f_ouvert" align="right"><?PHP echo $txt_chp_actif; ?></td>
		<td>
			<?PHP 
			if (($td == "edit") OR ($td == "del"))
			{ 
				if ($do_ouvert == 1)
				{
					echo "<select name=\"actif\" size=\"1\" id=\"actif\">";
					echo "<option value=\"Oui\" selected>".$sel_lst_oui."</option>";
					echo "<option value=\"Non\">".$sel_lst_non."</option>";
					echo "</select>";
					
					echo "<span class=\"annot_std_it\">";
					echo "  (Depuis le : ".formatedate($do_datecrea).")";
					echo "</span>";
				}
				else
				{
					echo "<input name=\"actif\" type=\"text\" id=\"actif\" value=\"Non\" size=\"3\" maxlength=\"3\" readonly=\"1\">";
					
					echo "<span class=\"annot_std_it\">";
					echo "  (Ouverte le : ".formatedate($do_datecrea).", fermée le : ".formatedate($do_datec).")";
					echo "</span>";
				}
			}
			?>
		</td>
	</tr>
	</table>
<?PHP }
}
?>

<!-- Fiche principale -->
<table width="100%"  border="0">
<tr>
	<td width="160" class="rubfrm" id="f_code" align="right"><?PHP echo $txt_chp_code; ?></td>
	<td>
		<?PHP if ($td == "add") { ?>
			<strong>D</strong>
			<input name="code" type="text" id="code" value="<?PHP echo $do_code ?>" size="9" maxlength="9" onChange="javascript:this.value=this.value.toUpperCase();">
			<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
		<?PHP } else { ?>
			<input name="code" type="text" id="code" value="<?PHP echo $do_code ?>" size="10" maxlength="10" readonly="1">
		<?PHP } ?>
	</td>
</tr>
	<?PHP if (($td == "edit") OR ($td == "del") OR ($td == "view")) { ?>
<tr>
	<td height="21" class="rubfrm" id="f_logo" align="right">Logo</td>
	<td>
		<?PHP
			$url_img = "do_logo.php?cd=".$do_code;
		?>
			<a href="javascript:;" onclick="fensaisie('<?PHP echo $url_img; ?>',500,300,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');")><img src="../img/vlogo.png" border="0" align="absmiddle"></a>
			<a href="javascript:;" onclick="fensaisie('<?PHP echo $url_img; ?>',500,300,'status=no,scrollbars=no,menubar=no,statusbar=no,location=no,locationbar=no');")> <?PHP echo $txt_lnk_view_logo; ?></a>
	</td>
</tr>
<?PHP } ?>
<tr>
	<td width="160" class="rubfrm" id="f_nom" align="right"><?PHP echo $txt_chp_nom; ?></td>
	<td>
	<?PHP 
	if ((@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9))
	{
	?>
		<input name="nom" type="text" id="nom" value="<?PHP echo htmlspecialchars($do_nom) ?>" size="50" onChange="javascript:this.value=this.value.toUpperCase();">
		<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
	<?PHP
	}
	else
	{
	?>
		<input name="nom" type="text" id="nom" value="<?PHP echo htmlspecialchars($do_nom) ?>" size="50" readonly="1">
	<?PHP
	}
	?>
	</td>
</tr>
<tr>
	<td class="rubfrm" id="f_rcs" align="right"><?PHP echo $txt_chp_siret; ?></td>
	<td>
	<?PHP 
	if ((@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9))
	{
	?>
		<input name="rcs" type="text" id="rcs" value="<?PHP echo htmlspecialchars($do_rcs) ?>" size="50" onChange="javascript:this.value=this.value.toUpperCase();">
	<?PHP
	}
	else
	{
	?>
		<input name="rcs" type="text" id="rcs" value="<?PHP echo htmlspecialchars($do_rcs) ?>" size="50" readonly="1">
	<?PHP
	}
	?>
	</td>
</tr>
<tr>
	<td class="rubfrm" id="f_ape" align="right"><?PHP echo $txt_chp_ape; ?></td>
	<td>
	<?PHP 
	if ((@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9))
	{
	?>
		<input name="ape" type="text" id="ape" value="<?PHP echo htmlspecialchars($do_ape) ?>" size="10" onChange="javascript:this.value=this.value.toUpperCase();">
	<?PHP
	}
	else
	{
	?>
		<input name="ape" type="text" id="ape" value="<?PHP echo htmlspecialchars($do_ape) ?>" size="10" readonly="1">
	<?PHP
	}
	?>
	</td>
</tr>
<tr>
	<td class="rubfrm" id="f_tvai" align="right"><?PHP echo $txt_chp_tvai; ?></td>
	<td>
	<?PHP 
	if ((@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9))
	{
	?>
		<input name="tvai" type="text" id="tvai" value="<?PHP echo htmlspecialchars($do_tvai) ?>" size="50" onChange="javascript:this.value=this.value.toUpperCase();">
	<?PHP
	}
	else
	{
	?>
		<input name="tvai" type="text" id="tvai" value="<?PHP echo htmlspecialchars($do_tvai) ?>" size="50" readonly="1">
	<?PHP
	}
	?>
	</td>
</tr>
<tr>
  <td class="rubfrm" id="f_tcom" align="right">Tribunal com.</td>
  <td>
	<?PHP 
	if ((@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9))
	{
	?>
		<input name="tcom" type="text" id="tcom" value="<?PHP echo htmlspecialchars($do_tcom) ?>" size="70" onChange="javascript:this.value=this.value.toUpperCase();">
		<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
	<?PHP
	}
	else
	{
	?>
	  	<input name="tcom" type="text" id="tcom" value="<?PHP echo htmlspecialchars($do_tcom) ?>" size="70" readonly="1">
	<?PHP
	}
	?>
  </td>
</tr>
<tr>
	<td width="160" class="rubfrm" id="f_adr1" align="right"><?PHP echo $txt_chp_adr1; ?></td>
	<td>
	<?PHP 
	if ((@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9))
	{
	?>
		<input name="adr1" type="text" id="adr1" value="<?PHP echo htmlspecialchars($do_adr1) ?>" size="50" onChange="javascript:this.value=this.value.toUpperCase();">
		<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
	<?PHP
	}
	else
	{
	?>
		<input name="adr1" type="text" id="adr1" value="<?PHP echo htmlspecialchars($do_adr1) ?>" size="50" readonly="1">
	<?PHP
	}
	?>
	</td>
</tr>
<tr>
	<td width="160" class="rubfrm" id="f_adr2" align="right"><?PHP echo $txt_chp_adr2; ?></td>
	<td>
	<?PHP 
	if ((@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9))
	{
	?>
		<input name="adr2" type="text" id="adr2" value="<?PHP echo htmlspecialchars($do_adr2) ?>" size="50" onChange="javascript:this.value=this.value.toUpperCase();">
	<?PHP
	}
	else
	{
	?>
		<input name="adr2" type="text" id="adr2" value="<?PHP echo htmlspecialchars($do_adr2) ?>" size="50" readonly="1">
	<?PHP
	}
	?>
	</td>
</tr>
</tr>
	<tr>
		<td class="rubfrm" id="f_pays" align="right"><?PHP echo $txt_chp_pays; ?></td>
		<td>
		<?PHP
		if ($do_ouvert == TRUE)
		{
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rs = mysql_query("SELECT * FROM ".TBPAYS." ORDER BY pays_nom");
		?>			
			<select name="pays" id="pays">
		<?PHP
			echo "<option value=\"\">".$sel_lst_pays."</option>";
	
			// Création de la liste des pays
			
			while ($resultat = mysql_fetch_array($rs)) 
			{
				extract($resultat);
				if ($do_codepays == $pays_code)
					echo '<option value="'.$pays_code.'" selected>'.$pays_nom.'</option>';
				else
					echo '<option value="'.$pays_code.'">'.$pays_nom.'</option>';
			}
		?>
			</select>
			<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
		<?PHP
			mysql_free_result($rs);
			mysql_close($conn);
		}
		else
		{
			$pays = Retournepays_open($do_codepays,TRUE);
		?>
			<input name="pays" type="hidden" id="pays" value="<?PHP echo $do_codepays ?>">
			<input name="pays_nom" type="text" id="pays_nom" value="<?PHP echo $pays ?>" size="50"  readonly="1">
		<?PHP
		}
		?>
		</td>
	</tr>
	<tr>
		<td class="rubfrm" id="f_dep" align="right"><?PHP echo $txt_chp_dep; ?></td>
		<td>
		<?PHP
		if ($do_ouvert == TRUE) 
		{
			// Création de la liste des départements
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rech="SELECT * FROM ".TBDEP." WHERE `dep_codepays`='".$do_codepays."' ORDER BY dep_code";
			$rs = mysql_query($rech) or die(mysql_error());
		?>
		<select name="dep" size="1" id="dep">
		<?PHP
		echo "<option>".$sel_lst_makechx."</option>";

		if (mysql_num_rows($rs)>0)
		{
			while ($resultat = mysql_fetch_array($rs)) 
			{
				extract($resultat);
				if ($dep_code<>$dep_nom)
					$dep=$dep_code." (".$dep_nom.")";
				else
					$dep=$dep_nom;
				if ($do_dep == $dep_code)
					echo "<option value=\"".$dep_code."\" selected>".$dep."</option>";
				else
					echo "<option value=\"".$dep_code."\">".$dep."</option>";
			}
		}
		else
			echo "<option value=\"-1\" selected>".$sel_lst_unknown."</option>";
		?>
		</select>
		 <img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
		 <span id="attn1"></span><span id="msg1" style="background-color:#FF0000; color:#FFFF00; font-weight:bold"><?PHP if ((mysql_num_rows($rs)==0) AND ($td<>"del")) echo htmlspecialchars($msg1_err_type)?></span>
		<?PHP
			mysql_free_result($rs);
			mysql_close($conn);
		}
		else
		{
			$dept=Retournedep_open($do_dep,$do_codepays,TRUE);
			if ($do_dep<>$dept)
				$dep=$do_dep." (".$dept.")";
			else
				$dep=$dept;
		?>
			<input name="dep" type="hidden" id="dep" value="<?PHP echo $do_dep ?>">
			<input name="dep_nom" type="text" id="dep_nom" value="<?PHP echo $dep ?>" size="40"  readonly="1">
		<?PHP
		}
		?>
		</td>
	</tr>
	<tr>
		<td class="rubfrm" id="f_ville" align="right"><?PHP echo $txt_chp_ville; ?></td>
		<td>
		<?PHP
		if ($do_ouvert == TRUE) 
		{
			// Création de la liste des villes
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
	
			$rech="";
			if ($do_dep<>"")
			{
				if ($do_dep<>"-1")
				{
					$filtre=$do_dep;
					if (($filtre == "2A") OR ($filtre == "2B"))
						$filtre = "20";
					$rech = "SELECT * FROM ".TBVILLES." WHERE `villes_dep` = '".str_majuscules($filtre)."' AND `villes_codepays`='".str_majuscules($do_codepays)."' ORDER BY villes_nom";
				}
				else
				{
					$rech = "SELECT * FROM ".TBVILLES." WHERE `villes_codepays`='".str_majuscules($do_codepays)."' ORDER BY villes_nom";
				}
			}
			if ($rech<>"")
				$rs = mysql_query($rech) or die(mysql_error());
		?>
		<select name="ville" size="1" id="ville">
		<?PHP
		echo "<option>".$sel_lst_makechx."</option>";

		if ($rech<>"")
		{
			if (mysql_num_rows($rs)>0)
			{
				while ($resultat = mysql_fetch_array($rs)) 
				{
					extract($resultat);
					if ($do_ville == $villes_id)
						echo '<option value="'.$villes_id.'" selected>'.str_majuscules($villes_nom).' ('.$villes_cp.')</option>';
					else
						echo '<option value="'.$villes_id.'">'.str_majuscules($villes_nom).' ('.$villes_cp.')</option>';
				}
			}
		}
		?>
		</select>
	     <img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
		 <span id="attn2"></span><span id="msg2" style="background-color:#FF0000; color:#FFFF00; font-weight:bold"><?PHP if ($rech<>"") {if ((mysql_num_rows($rs)==0) AND ($td<>"del")) echo htmlspecialchars($msg2_err_type);}?></span>
		<?PHP
			mysql_close($conn);
		}
		else
		{
			$ville = Retourneville_openId($do_ville,TRUE);
		?>
			<input name="ville" type="hidden" id="ville" value="<?PHP echo $do_ville ?>">
			<input name="ville_nom" type="text" id="ville_nom" value="<?PHP echo $ville ?>" size="40"  readonly="1">
		<?PHP
		}
		?>
		</td>
	</tr>
<tr>
	<td width="160" class="rubfrm" id="f_telf" align="right">
		<?PHP echo $txt_chp_telf; ?><br>
	    (<?PHP echo $txt_div_comment; ?>)</div>
	</td>
	<td>
		  <input name="telf" type="text" id="telf" value="<?PHP echo $do_telf ?>" size="20" maxlength="20">
		  <img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>"><br>
		  <input name="txttelf" type="text" id="txttelf" value="<?PHP echo htmlspecialchars($do_txttelf) ?>" size="100">
	</td>
</tr>
<tr>
	<td width="160" class="rubfrm" id="f_fax" align="right">
		<?PHP echo $txt_chp_fax; ?><br>
		(<?PHP echo $txt_div_comment; ?>)</div>
	</td>
	<td>
		<input name="fax" type="text" id="fax" value="<?PHP echo $do_fax ?>" size="20" maxlength="20">
		<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>"><br>
		<input name="txtfax" type="text" id="txtfax" value="<?PHP echo htmlspecialchars($do_txtfax) ?>" size="100">
	</td>
</tr>
<tr>
	<td class="rubfrm" id="f_web" align="right">Site Web <span class="annot_petit_it">(<?PHP echo $txt_div_nopref; ?>)</span></td>
	<td>
		<input name="web" type="text" id="web" value="<?PHP echo $do_web ?>" size="80" maxlength="200">
	</td>
</tr>
<tr>
	<td class="rubfrm" id="f_heures" align="right"><?PHP echo $txt_chp_horaires; ?></td>
	<td>
		<input name="heures" type="text" id="heures" value="<?PHP echo htmlspecialchars($do_heures) ?>" size="80">
		<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
	</td>
</tr>
<tr>
  <td class="rubfrm" id="f_com" align="right">Texte d'ent&ecirc;te</td>
  <td><textarea name="txtent" id="txtent"><?PHP echo htmlspecialchars($do_txtent) ?></textarea></td>
</tr>
<tr>
	<td colspan="2">&nbsp;</td>
</tr>
<tr>
	<td colspan="2" class="rubfrm" id="f_web" align="center"><?PHP echo $txt_chp_ctactp; ?></td>
</tr>
<tr>
	<td class="rubfrm" id="f_rcivil" align="right"><?PHP echo $txt_chp_civil; ?></td>
	<td>
		<select name="rcivil" size="1" id="rcivil">
		<?PHP
		
		echo "<option>".$sel_lst_civil."</option>";

		// Création de la liste des civilités
		
		$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
		$rs = mysql_query("SELECT * FROM ".TBCIV." ORDER BY civ_desc");
		
		while ($resultat = mysql_fetch_array($rs)) 
		{
			extract($resultat);
			if ($do_resp_civilite == $civ_code)
			{
				echo '<option value="'.$civ_code.'" selected>'.$civ_desc.'</option>';
			}
			else
			{
				echo '<option value="'.$civ_code.'">'.$civ_desc.'</option>';
			}
		}
		mysql_free_result($rs);
		mysql_close($conn);
		?>
		</select>
		<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
	</td>
</tr>
<tr>
	<td class="rubfrm" id="f_rprenom" align="right"><?PHP echo $txt_chp_pnom; ?></td>
	<td>
		<input name="rprenom" type="text" id="rprenom" value="<?PHP echo htmlspecialchars($do_resp_prenom) ?>" size="50"  onChange="javascript:this.value=ucWords(this.value,true);">
		<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
	</td>
</tr>
<tr>
	<td class="rubfrm" id="f_rnom" align="right"><?PHP echo $txt_chp_nom; ?></td>
	<td>
		<input name="rnom" type="text" id="rnom" value="<?PHP echo htmlspecialchars($do_resp_nom )?>" size="50" onChange="javascript:this.value=this.value.toUpperCase();">
		<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
	</td>
</tr>
<tr>
	<td class="rubfrm" id="f_rtelf" align="right"><?PHP echo $txt_chp_telf; ?></td>
	<td>
		<input name="rtelf" type="text" id="rtelf" value="<?PHP echo $do_resp_telf ?>" size="20" maxlength="20">
		<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
	</td>
</tr>
<tr>
	<td class="rubfrm" id="f_rtelp" align="right"><?PHP echo $txt_chp_telp; ?></td>
	<td>
		<input name="rtelp" type="text" id="rtelp" value="<?PHP echo $do_resp_telp ?>" size="20" maxlength="20">
	</td>
</tr>
<tr>
	<td>&nbsp;</td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td colspan="2" class="rubfrm" align="center"><?PHP echo $txt_chp_emails; ?></td>
</tr>
<tr>
	<td width="160" class="rubfrm" id="f_email" align="right"><?PHP echo $txt_chp_emailgeneral; ?></td>
	<td>
		<input name="email" type="text" id="email" value="<?PHP echo $do_email ?>" size="50" maxlength="50" onChange="javascript:this.value=this.value.toLowerCase();">
		<?PHP if ($td == "edit") { ?>
			<a href="mailto:<?PHP echo $do_email ?>"><img src="../img/mail.png" title="<?PHP echo $alt_envemail; ?>" border ="0" align="absmiddle"></a>
		<?PHP } ?>
		<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>"> <span class="annot_std_it">(<?PHP echo $txt_div_ctactcli; ?>)</span>
	</td>
</tr>
<tr>
	<td width="160" class="rubfrm" id="f_emaild" align="right"><?PHP echo $txt_chp_emaildir; ?></td>
	<td>
		<input name="emaild" type="text" id="emaild" value="<?PHP echo $do_emaild ?>" size="50" maxlength="50" onChange="javascript:this.value=this.value.toLowerCase();">
		<?PHP if ($td == "edit") { ?>
			<a href="mailto:<?PHP echo $do_emaild ?>"><img src="../img/mail.png" title="<?PHP echo $alt_envemail; ?>" border ="0" align="absmiddle"></a>
		<?PHP } ?>
		<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
	</td>
</tr>
<tr>
	<td width="160" class="rubfrm" id="f_emailc" align="right">Comptabilit&eacute;</td>
	<td>
		<input name="emailc" type="text" id="emailc" value="<?PHP echo $do_emailc ?>" size="50" maxlength="50" onChange="javascript:this.value=this.value.toLowerCase();">
		<?PHP if ($td == "edit") { ?>
			<a href="mailto:<?PHP echo $do_emailc ?>"><img src="../img/mail.png" title="<?PHP echo $alt_envemail; ?>" border ="0" align="absmiddle"></a>
		<?PHP } ?>
	<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
	</td>
</tr>
<tr>
	<td width="160" class="rubfrm" id="f_emailt" align="right"><?PHP echo $txt_chp_emailtech; ?></td>
	<td>
		<input name="emailt" type="text" id="emailt" value="<?PHP echo $do_emailt ?>" size="50" maxlength="50" onChange="javascript:this.value=this.value.toLowerCase();">
		<?PHP if ($td == "edit") { ?>
			<a href="mailto:<?PHP echo $do_emailt ?>"><img src="../img/mail.png" title="<?PHP echo $alt_envemail; ?>" border ="0" align="absmiddle"></a>
		<?PHP } ?>
		<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>">
	</td>
</tr>
<tr>
	<td width="160">&nbsp;</td>
	<td>&nbsp;</td>
</tr>
<tr>
	<td width="160" class="rubfrm" id="f_nota" align="right"><?PHP echo $txt_chp_notes; ?></td>
	<td><textarea name="nota" id="nota"><?PHP echo htmlspecialchars($do_nota) ?></textarea></td>
</tr>
<tr>
	<td width="160">&nbsp;</td>
	<td>&nbsp;</td>
</tr>
<?PHP
if ((@$_SESSION["niv_log"] == 5) OR (@$_SESSION["niv_log"] == 9))
{
?>
<tr>
	<td width="160" class="rubfrm" id="f_factures" align="right">Emet ses factures </td>
<td>
	<?PHP 
	if ($td == "add")
	{ 
		echo "<select name=\"factures\" size=\"1\" id=\"factures\">";
		echo "<option value=\"Oui\">".$sel_lst_oui."</option>";
		echo "<option value=\"Non\" selected>".$sel_lst_non."</option>";
		echo "</select>";
	}
	
	if (($td == "edit") OR ($td == "del"))
	{ 
		if ($do_fact == TRUE)
		{
			echo "<select name=\"factures\" size=\"1\" id=\"factures\">";
			echo "<option value=\"Oui\" selected>".$sel_lst_oui."</option>";
			echo "<option value=\"Non\">".$sel_lst_non."</option>";
			echo "</select>";
		}
		else
		{
			echo "<select name=\"factures\" size=\"1\" id=\"factures\">";
			echo "<option value=\"Oui\">".$sel_lst_oui."</option>";
			echo "<option value=\"Non\" selected>".$sel_lst_non."</option>";
			echo "</select>";
		}
	}
	?>
	<img src="../img/oblig.png" align="absmiddle" alt="<?PHP echo $alt_chp_oblig; ?>"> </td>
</tr>
<?PHP
}
?>
</table>

<p align="center">
<?PHP if (($td == "add") OR ($td == "edit")) { ?>
	<input name="RAZ" type="reset" class="bton_std" id="RAZ" value="<?PHP echo $but_reinit; ?>">
	<input name="submit" type="submit" class="bton_std" id="submit" value="<?PHP echo $but_enr; ?>">
<?PHP }
if ($td == "del") { ?>
	<input name="del" type="submit" class="bton_std" id="del" value="<?PHP echo $but_del; ?>">
	<input name="annul" type="button" class="bton_std" id="annul" value="<?PHP echo $but_cancel; ?>" onclick="javascript:; history.back();">
<?PHP } ?>
</p>
</form>
<!-- Fin affiché uniquement s'il y a au moins une catégorie agence et au moins une civilité -->
<?PHP
}
else
{
?>
<script type="text/javascript">
<!--
setTimeout("self.location.href=('civ_lst.php');",2000)
//-->
</script>
<p align="center" class="annot_std_it"><?PHP echo $alert_nociv; ?></p>
 <?PHP
}
}
else
	aff_ret_pbm_auto("index.php",2000);
include_once("pied.php");
?>
